V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
beginor
V2EX  ›  macOS

macOS Mojave 被 homebrew 嫌弃了!

  •  
  •   beginor · 11 天前 · 5457 次点击

    运行的是 macOS Mojave 10.14.6 , 今天更新了 homebrew ,提示如下:

    Updating Homebrew...
    Warning: You are using macOS 10.14.
    We (and Apple) do not provide support for this old version.
    You will encounter build failures with some formulae.
    Please create pull requests instead of asking for help on Homebrew's GitHub,
    Twitter or any other official channels. You are responsible for resolving
    any issues you experience while you are running this
    old version.
    

    看起来是 homebrew 都嫌弃 Mojave 了, 只能被迫升级到 macOS Catalina 10.15.7 😂

    第 1 条附言  ·  10 天前

    已升级到 Catalina 10.15.7 , 流畅度和 Mojave 差不多。 原来 Mojave 的时候轻度使用时风扇几乎不转, 升级之后就算是轻度使用也一致维持在最低转速,不知道是不是系统散调度略的原因, 本来电池就不耐用, 这下续航更差了。

    另外有 V 友提到 wine 运行 win32 程序的问题, Catalina 之后的版本可以使用这个 wine-crossover , 可以在 Catalina 以及以后的版本 (Big Sur, Monterey) 中继续运行 32 位的 windows 软件。

    51 条回复    2021-11-22 20:26:49 +08:00
    dingwen07
        1
    dingwen07   11 天前 via iPhone   ❤️ 2
    https://endoflife.date/macos
    Catalina 也只剩一年了
    wangkun025
        2
    wangkun025   11 天前
    苹果已经不支持这个版本了。时间是 2021 年 10 月(从 wikipedia 看到的)
    ipwx
        3
    ipwx   11 天前
    那为什么不转最新版。。。
    creeeeezy
        4
    creeeeezy   11 天前
    @ipwx 新版卡啊...
    FightPig
        5
    FightPig   11 天前
    我也还停在这个版,
    pwelyn
        6
    pwelyn   11 天前
    我基本都是有更新第一时间更
    Buges
        7
    Buges   11 天前 via Android
    我看 homebrew 的说法,似乎只要没有 bottle 的自行构建全都是 unsupported
    nobodyknows
        8
    nobodyknows   11 天前
    apple 自己都不支持了
    MrKrabs
        9
    MrKrabs   11 天前
    please use macports
    ericguo
        10
    ericguo   11 天前   ❤️ 2
    可以 reset 到 10 月 22 的开始支持 11.1 Monterey 的前面一个 commit ,然后删除 origin ,不要使用 brew update ,就可以继续使用了,不过所有软件版本也定格在那一刻。
    lancelock
        11
    lancelock   11 天前
    说实话我 mac 一直都是升最新版,没感觉有啥差别,每年感觉变化最大的也就 ui 了
    robinlovemaggie
        12
    robinlovemaggie   11 天前
    还在 EI Captain 的表示早习惯了~
    nikolai
        13
    nikolai   11 天前
    相反,我现在能不用 homebrew 就不用,越来越智障,装个 nodejs 连 python3 都要装上

    不如直接去官网直接下个 binary
    Jooooooooo
        14
    Jooooooooo   11 天前
    一直停在旧版最大的问题是如果有安全漏洞得不到修复.
    beginor
        15
    beginor   11 天前
    @dingwen07 那就明年再升级 Big Sur , 前提是还在用这个旧本子的话
    beginor
        16
    beginor   11 天前
    @nikolai 这么说也对, 只用 brew 安装了几个软件而已, 不是 brew 的重度用户, 不过这样就得自己手动更新了
    mr2xd
        17
    mr2xd   11 天前
    同 Mojave,新版本下台电脑再说吧
    shm7
        18
    shm7   11 天前
    mmp 我都是 catalina
    hronro
        19
    hronro   11 天前 via iPhone
    @nikolai #13
    nodejs 本来就依赖 Python 啊,node-gyp 了解一下
    nikolai
        20
    nikolai   11 天前
    @hronro 问题是系统自带就有 python3
    xgq89757
        21
    xgq89757   11 天前
    我这黑苹果也是 10.14.6 不敢动啊。
    wu67
        22
    wu67   11 天前
    是这样的. 前阵子装 v2r 的时候 4.43 版本不提供 mojave 的包了...我直接好家伙...

    反正手上这台 mini 我是不太想升级系统了, 除非离职或者系统那天真的崩了才会考虑重装一下
    Mark24
        23
    Mark24   11 天前
    这时候就直接装个 ubuntu
    civet
        24
    civet   11 天前 via iPhone
    就是曾经被 homebrew 怂恿才装的 Mojave 这个版本稳啊 UI 也好看
    shutongxinq
        25
    shutongxinq   11 天前 via iPhone
    捐个 1m 刀,人家马上宣布重新支持 mojave
    guanhui07
        26
    guanhui07   11 天前 via iPhone
    留在这版本
    cest
        27
    cest   11 天前
    macports
    Biwood
        28
    Biwood   11 天前
    我就是因为这个被迫升级的
    DeaThNoTE
        29
    DeaThNoTE   11 天前
    就搞不懂为啥要在旧版本呆着啊。。?
    你开发搞环境能理解,系统为啥不用新的啊。。那么多新特性都不要了吗??
    ericguo
        30
    ericguo   11 天前
    @Buges 自行构建最大问题是,随着时间推移,需要构建的东西越来越多,而且有些包比如 jdk 17 ,构建需要的依赖一大堆,构建时间也超级长,得不偿失。


    @DeaThNoTE 因为新特性和稳定性比起来啥都不是啊!个人感觉 Intel 的机器,Mojave 的稳定性是最高的,后面系统一个比一个差,当然升级到 Catalina 还是有意义,Safari 15 只在这个版本有。
    liandi1990
        31
    liandi1990   11 天前 via iPhone   ❤️ 2
    我还在用 Leopard ( 10.5 )

    因为更新的版本不支持 PowerPC 了,而我的 PowerBook G4 还没退役
    kidonng
        32
    kidonng   11 天前
    不用在 Homebrew 这一棵树上吊死,MacPorts 、Nix (个人正在使用)、pkgsrc 都是很好的选择。

    如果还需要使用 Homebrew Cask 的话可以像 10L 一样降级继续用,反正 Cask 是拉第三方二进制,只要应用开发者没有停止支持就不受影响。
    DeaThNoTE
        33
    DeaThNoTE   11 天前
    @liandi1990 请问 powerpc 现在还能干什么 纯好奇
    IgniteWhite
        34
    IgniteWhite   11 天前
    我也是,只能 brew pin 了一堆
    IgniteWhite
        35
    IgniteWhite   11 天前
    @DeaThNoTE 我有一个刚需,就是要用 wine 运行一些 32 位的 windows 软件。干活需要,目前就这一台电脑,以后会换新再说。除了这个,我觉得没必要留在 mojave 。
    Zhouisme
        36
    Zhouisme   11 天前 via Android
    正在使用 Gentoo Prefix
    beginor
        37
    beginor   11 天前   ❤️ 1
    @IgniteWhite 如果只是 wine 的话, 可以看一下这个 [wine-crossover]( https://github.com/Gcenx/homebrew-wine) , 添加了 wine32on64 , 可以在 Catalina 以及以后的版本中继续运行 32 位的 windows 软件。
    wowbaby
        38
    wowbaby   11 天前
    @nikolai 是的,能不用 Homebrew 就不要用,不适合开发环境,适合那种随删软件,
    violetlai
        39
    violetlai   10 天前
    卧槽 我已经买了这么久了吗 出厂 Mojave 都要放弃支持了
    clrss
        40
    clrss   10 天前
    苹果只给现役和上两代系统提供安全更新. 也就是 Monterey 、Big Sur 、Catalina.

    Mojave 理论上已经不安全了.
    kidonng
        41
    kidonng   10 天前 via Android
    @nikolai 首先 macOS 自带的是 Python 2 ,而且 Monterey 已经弹警告未来要移除了。你说的自带 Python 3 估计是 XCode 带的,Homebrew 不能用,否则用户就要装同一个版本的 SDK 。 其次,绝大部分 Homebrew Formuale 都直接或间接依赖 Python 3 ,不太明白装上有什么额外负担,这年头找一个系统基础包不依赖 Python 的 UNIX 系统本来就很难。
    beginor
        42
    beginor   10 天前 via Android
    @kidonng 系统带一个 py ,Xcode 带一个 py ,HomeBrew 再装一个 py ,qgis 再来一个 py ,blender 也带一个 py ,究竟需要几个 py 才够用?
    kidonng
        43
    kidonng   10 天前 via Android
    @beginor 你说的这些都是为了固定 (pin) 版本才自带 (vendor) Python 的,没什么问题,Python 也不大。在乎这个之前不如先数数机器上几个 Electron/NW.js 🐶
    beginor
        44
    beginor   10 天前 via Android
    @kidonng 这个好像也不少,vscode ,postman ,figma ,docker desktop ,xmind 等
    kidonng
        45
    kidonng   10 天前 via Android
    @beginor 它们才是该“声讨”的对象嘛。没人会抱怨自己电脑上有几百个 zlib 或者 sqlite ,Python 只是一个稍微大点的库罢了。
    Kobayashi
        46
    Kobayashi   7 天前
    已由 Homebrew 迁移到 MacPorts ,目前还保留了 homebrew caskroom 安装 GUI app. Homebrew 尽量使用系统自带依赖才是不断抛弃旧版系统支持的真正源头。如果全部不依赖系统依赖,理论上编译出来的包可以分发给所有版本 macOS 使用。目前 Homebrew 对 Linux 支持(也就是合并后的 Linuxbrew )就是采用的这种策略。

    另外 Homebrew 的开源协议支持洁癖也实在令人恶心,有些软件如 MongoDB ,Elasticsearch 切换协议更多的是为了强制大公司们往回贡献代码,完全不影响分发。下载都已经不被 homebrew-core 支持了。
    Kobayashi
        47
    Kobayashi   7 天前
    @DeaThNoTE 有什么新特性是我开发要用的?我又不是搞 macOS 或者 iOS 开发的。也有一种可能是因为硬件老旧了,更新上去没什么提升还可能变慢。
    LoneFireBlossom
        48
    LoneFireBlossom   6 天前
    @beginor 请教一下,这个 wine-crossover 和要钱的那个 crossover 有什么区别呢
    beginor
        49
    beginor   6 天前 via Android   ❤️ 1
    @LoneFireBlossom crossover 也是开放源代码的, 任何人都可以拿来编译, 理论上应该没有区别,但是没有任何支持
    kav2007
        51
    kav2007   5 天前
    @Kobayashi #47 我现在用的是公司淘汰的 2 手丐版 2015 MBP13 8+256 ,刚换的电池,10.14.6 系统。
    平时就是运行一些办公软件和 iterm2 ,运行流畅,发热小,平时 CPU 风扇不转。够用就行,不折腾
    关于   ·   帮助文档   ·   API   ·   FAQ   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   2071 人在线   最高记录 5497   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 21ms · UTC 03:39 · PVG 11:39 · LAX 19:39 · JFK 22:39
    ♥ Do have faith in what you're doing.